%define base_name	murphy
%define name		fortune-%{base_name}
%define version		1.0
%define release		%mkrel 17

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Quotes from Murphy's laws
License:	GPL
Group:		Toys
Source:		%{name}-%{version}.tar.bz2
Requires:	fortune-mod
BuildRequires:	fortune-mod
BuildArch:	noarch

%description
This is a collection of more than 1250 Murphy's (& Al) laws, ignominously
stolen from the excellent Ultimate Collection of Murphy's Laws by Andreas Götz
(http://www.cpuidle.de/murphy.shtml), at format used by the good old fortune
command.

%prep
%setup -q

%build
rm -f data/*.dat
for file in data/*; do
    iconv -f latin1 -t utf8 < $file >> murphy
done
/usr/sbin/strfile murphy murphy.dat

%install
install -d -m 755 %{buildroot}%{_gamesdatadir}/fortunes
install -m 644 murphy murphy.dat %{buildroot}%{_gamesdatadir}/fortunes

%files
%doc COPYING README
%{_gamesdatadir}/fortunes/murphy
%{_gamesdatadir}/fortunes/murphy.dat


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.0-17.mga4
+ Revision: 504562
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0-16.mga3
+ Revision: 350784
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 16 2012 guillomovitch <guillomovitch> 1.0-15.mga2
+ Revision: 196784
- don't include index files in fortune file

* Thu Jan 12 2012 guillomovitch <guillomovitch> 1.0-14.mga2
+ Revision: 195451
- merge all categories in  a single file

* Thu Jan 12 2012 guillomovitch <guillomovitch> 1.0-13.mga2
+ Revision: 195239
- imported package fortune-murphy


* Thu Jan 12 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-13.mga2
- imported from mandriva
- utf8 conversion
